unit Main;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, PNGImage, StdCtrls, TlHelp32, ActnMan, ActnColorMaps;

type
  TMainForm = class(TForm)
    Logo: TImage;
    Menu: TImage;
    Ops: TMemo;
    Lang: TMemo;
    Pages: TNotebook;
    Info: TLabel;
    Ver: TMemo;
    PrcButton: TLabel;
    PrvButton: TLabel;
    OpmButton: TLabel;
    UpdButton: TLabel;
    HlpButton: TLabel;
    CcButton: TLabel;
    Prc: TLabel;
    Prv: TLabel;
    Opm: TLabel;
    Upd: TLabel;
    Hlp: TLabel;
    Cc: TLabel;
    Line: TImage;
    PrcNB: TLabel;
    RTSImage: TImage;
    RTSStat: TMemo;
    Options: TGroupBox;
    OptNB: TLabel;
    DateNB: TLabel;
    Line2: TImage;
    Line3: TImage;
    SkinNB: TLabel;
    LangNB: TLabel;
    EnnmNB: TLabel;
    EnptNB: TLabel;
    LEnUp: TLabel;
    LPrUp: TLabel;
    LRtsOn: TLabel;
    LRtsOff: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure PrcClick(Sender: TObject);
    procedure PrcButtonClick(Sender: TObject);
    procedure PrvClick(Sender: TObject);
    procedure PrvButtonClick(Sender: TObject);
    procedure OpmButtonClick(Sender: TObject);
    procedure OpmClick(Sender: TObject);
    procedure UpdClick(Sender: TObject);
    procedure UpdButtonClick(Sender: TObject);
    procedure HlpClick(Sender: TObject);
    procedure HlpButtonClick(Sender: TObject);
    procedure CcClick(Sender: TObject);
    procedure CcButtonClick(Sender: TObject);
    procedure PrcMouseEnter(Sender: TObject);
    procedure PrcButtonMouseEnter(Sender: TObject);
    procedure PrcMouseLeave(Sender: TObject);
    procedure PrcButtonMouseLeave(Sender: TObject);
    procedure PrvMouseEnter(Sender: TObject);
    procedure PrvButtonMouseEnter(Sender: TObject);
    procedure PrvMouseLeave(Sender: TObject);
    procedure PrvButtonMouseLeave(Sender: TObject);
    procedure OpmMouseEnter(Sender: TObject);
    procedure OpmButtonMouseEnter(Sender: TObject);
    procedure OpmMouseLeave(Sender: TObject);
    procedure OpmButtonMouseLeave(Sender: TObject);
    procedure UpdMouseEnter(Sender: TObject);
    procedure UpdButtonMouseEnter(Sender: TObject);
    procedure UpdMouseLeave(Sender: TObject);
    procedure UpdButtonMouseLeave(Sender: TObject);
    procedure HlpMouseEnter(Sender: TObject);
    procedure HlpButtonMouseEnter(Sender: TObject);
    procedure HlpMouseLeave(Sender: TObject);
    procedure HlpButtonMouseLeave(Sender: TObject);
    procedure CcMouseEnter(Sender: TObject);
    procedure CcButtonMouseEnter(Sender: TObject);
    procedure CcMouseLeave(Sender: TObject);
    procedure CcButtonMouseLeave(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;
  Function processExists(exeFileName: string): Boolean;
var
  MainForm: TMainForm;
  SkinDir:  String;
  PrcIf: Boolean;
  PrvIf: Boolean;
  OpmIf: Boolean;
  UpdIf: Boolean;
  HlpIf: Boolean;
  CcIf:  Boolean;
implementation

{$R *.dfm}

procedure TMainForm.FormCreate(Sender: TObject);
begin
  Prc.font.Color := $000080;
  Prv.Font.color := $FFFFFF;
  Opm.Font.Color := $FFFFFF;
  Upd.Font.Color := $FFFFFF;
  Hlp.Font.Color := $FFFFFF;
  Cc.Font.Color := $FFFFFF;
  Prc.font.Style := [fsBold];
  Prv.font.Style := [];
  Opm.font.Style := [];
  Upd.font.Style := [];
  Hlp.font.Style := [];
  Cc.font.Style := [];
  Pages.PageIndex := 0;
  PrcIf := True;
  PrvIf := False;
  OpmIf := False;
  UpdIf := False;
  HlpIf := False;
  CcIf := False;
  // ҷ
  Ops.Lines.LoadFromFile(ExtractFilePath(Application.ExeName)+ '\Option.txt');
  // ҷ
  Ver.Lines.LoadFromFile(ExtractFilePath(Application.ExeName)+ '\Version.txt');
  //Ų ҷ
  SkinDir := copy(Ops.lines[3], 8, Length(Ops.lines[3]));
  Logo.Picture.LoadFromFile(ExtractFilePath(Application.ExeName)+ '\Skin\' + SkinDir + '\Logo.png');
  Menu.Picture.LoadFromFile(ExtractFilePath(Application.ExeName)+ '\Skin\' + SkinDir + '\Menu.png');
  Line.Picture.LoadFromFile(ExtractFilePath(Application.ExeName)+ '\Skin\' + SkinDir + '\Line.png');
  Line2.Picture.LoadFromFile(ExtractFilePath(Application.ExeName)+ '\Skin\' + SkinDir + '\Line.png');
  Line3.Picture.LoadFromFile(ExtractFilePath(Application.ExeName)+ '\Skin\' + SkinDir + '\Line.png');
  // ҷ
  Lang.Lines.LoadFromFile(ExtractFilePath(Application.ExeName)+ '\Lang\' + copy(Ops.lines[4], 8, Length(Ops.lines[4]))+ '.txt');
  //ĸ 
  MainForm.Caption := copy(Lang.lines[0], 8, Length(Ops.lines[0]));
  Prc.Caption := copy(Lang.lines[3], 19, Length(Lang.lines[3]));
  Prv.Caption := copy(Lang.lines[4], 11, Length(Lang.lines[4]));
  Opm.Caption := copy(Lang.lines[5], 12, Length(Lang.lines[5]));
  Upd.Caption := copy(Lang.lines[6], 11, Length(Lang.lines[6]));
  Hlp.Caption := copy(Lang.lines[7], 13, Length(Lang.lines[7]));
  Cc.Caption :=  copy(Lang.lines[8], 12, Length(Lang.lines[8]));
  PrcNB.Caption := copy(Lang.lines[3], 18, Length(Lang.lines[3]));
  OptNB.Caption := copy(Lang.lines[13], 12, Length(Lang.lines[13]));
  DateNB.Caption := copy(Lang.lines[14], 12, Length(Lang.lines[14]));
  SkinNB.Caption := copy(Lang.lines[15], 8, Length(Lang.lines[15])) + copy(Ops.lines[3], 8, Length(Ops.lines[3]));
  LangNB.Caption := copy(Lang.lines[16], 8, Length(Lang.lines[16])) + copy(Ops.lines[4], 8, Length(Ops.lines[4]));
  EnnmNB.Caption := copy(Lang.lines[17], 14, Length(Lang.lines[17])) + copy(Ops.lines[5], 14, Length(Ops.lines[5]));
  EnptNB.Caption := copy(Lang.lines[18], 10, Length(Lang.lines[18])) + copy(Ops.lines[6], 10, Length(Ops.lines[6]));
  Info.Caption := copy(Lang.lines[1], 11, Length(Lang.lines[1])) + copy(Ver.lines[0], 15, Length(Ver.lines[0])) + '   ' + copy(Lang.lines[2], 10, Length(Lang.lines[2])) + copy(Ver.lines[1], 17, Length(Ver.lines[1]));
  //ǽð  üũ
  if processExists('notepad.exe') then begin
    RTSImage.Picture.LoadFromFile(ExtractFilePath(Application.ExeName)+ '\Skin\' + SkinDir + '\Green.png');
    RTSStat.Lines.add(copy(Lang.lines[9], 9, Length(Lang.lines[9])));
    RTSStat.Lines.add('');
    RTSStat.Lines.add(copy(Lang.lines[10], 13, Length(Lang.lines[10])));
  end
  else begin
    RTSImage.Picture.LoadFromFile(ExtractFilePath(Application.ExeName)+ '\Skin\' + SkinDir + '\Red.png');
    RTSStat.Lines.add(copy(Lang.lines[11], 9, Length(Lang.lines[11])));
    RTSStat.Lines.add('');
    RTSStat.Lines.add(copy(Lang.lines[12], 13, Length(Lang.lines[12])));
  end
end;

procedure TMainForm.PrcClick(Sender: TObject);
begin
If PrcIf = False then begin
  Prc.font.Color := $000080;
  Prv.Font.color := $FFFFFF;
  Opm.Font.Color := $FFFFFF;
  Upd.Font.Color := $FFFFFF;
  Hlp.Font.Color := $FFFFFF;
  Cc.Font.Color := $FFFFFF;
  Prc.font.Style := [fsBold];
  Prv.font.Style := [];
  Opm.font.Style := [];
  Upd.font.Style := [];
  Hlp.font.Style := [];
  Cc.font.Style := [];
  Pages.PageIndex := 0;
  PrcIf := True;
  PrvIf := False;
  OpmIf := False;
  UpdIf := False;
  HlpIf := False;
  CcIf := False;
end
end;

procedure TMainForm.PrcButtonClick(Sender: TObject);
begin
If PrcIf = False then begin
  Prc.font.Color := $000080;
  Prv.Font.color := $FFFFFF;
  Opm.Font.Color := $FFFFFF;
  Upd.Font.Color := $FFFFFF;
  Hlp.Font.Color := $FFFFFF;
  Cc.Font.Color := $FFFFFF;
  Prc.font.Style := [fsBold];
  Prv.font.Style := [];
  Opm.font.Style := [];
  Upd.font.Style := [];
  Hlp.font.Style := [];
  Cc.font.Style := [];
  Pages.PageIndex := 0;
  PrcIf := True;
  PrvIf := False;
  OpmIf := False;
  UpdIf := False;
  HlpIf := False;
  CcIf := False;
end
end;

procedure TMainForm.PrvClick(Sender: TObject);
begin
If PrvIf = False then begin
  Prc.font.Color := $FFFFFF;
  Prv.Font.color := $000080;
  Opm.Font.Color := $FFFFFF;
  Upd.Font.Color := $FFFFFF;
  Hlp.Font.Color := $FFFFFF;
  Cc.Font.Color := $FFFFFF;
  Prc.font.Style := [];
  Prv.font.Style := [fsBold];
  Opm.font.Style := [];
  Upd.font.Style := [];
  Hlp.font.Style := [];
  Cc.font.Style := [];
  Pages.PageIndex := 1;
  PrcIf := False;
  PrvIf := True;
  OpmIf := False;
  UpdIf := False;
  HlpIf := False;
  CcIf := False;
end
end;

procedure TMainForm.PrvButtonClick(Sender: TObject);
begin
If PrvIf = False then begin
  Prc.font.Color := $FFFFFF;
  Prv.Font.color := $000080;
  Opm.Font.Color := $FFFFFF;
  Upd.Font.Color := $FFFFFF;
  Hlp.Font.Color := $FFFFFF;
  Cc.Font.Color := $FFFFFF;
  Prc.font.Style := [];
  Prv.font.Style := [fsBold];
  Opm.font.Style := [];
  Upd.font.Style := [];
  Hlp.font.Style := [];
  Cc.font.Style := [];
  Pages.PageIndex := 1;
  PrcIf := False;
  PrvIf := True;
  OpmIf := False;
  UpdIf := False;
  HlpIf := False;
  CcIf := False;
end
end;

procedure TMainForm.OpmClick(Sender: TObject);
begin
If OpmIf = False then begin
  Prc.font.Color := $FFFFFF;
  Prv.Font.color := $FFFFFF;
  Opm.Font.Color := $000080;
  Upd.Font.Color := $FFFFFF;
  Hlp.Font.Color := $FFFFFF;
  Cc.Font.Color := $FFFFFF;
  Prc.font.Style := [];
  Prv.font.Style := [];
  Opm.font.Style := [fsBold];
  Upd.font.Style := [];
  Hlp.font.Style := [];
  Cc.font.Style := [];
  Pages.PageIndex := 2;
  PrcIf := False;
  PrvIf := False;
  OpmIf := True;
  UpdIf := False;
  HlpIf := False;
  CcIf := False;
end
end;

procedure TMainForm.OpmButtonClick(Sender: TObject);
begin
If OpmIf = False then begin
  Prc.font.Color := $FFFFFF;
  Prv.Font.color := $FFFFFF;
  Opm.Font.Color := $000080;
  Upd.Font.Color := $FFFFFF;
  Hlp.Font.Color := $FFFFFF;
  Cc.Font.Color := $FFFFFF;
  Prc.font.Style := [];
  Prv.font.Style := [];
  Opm.font.Style := [fsBold];
  Upd.font.Style := [];
  Hlp.font.Style := [];
  Cc.font.Style := [];
  Pages.PageIndex := 2;
  PrcIf := False;
  PrvIf := False;
  OpmIf := True;
  UpdIf := False;
  HlpIf := False;
  CcIf := False;
end
end;

procedure TMainForm.UpdClick(Sender: TObject);
begin
If UpdIf = False then begin
  Prc.font.Color := $FFFFFF;
  Prv.Font.color := $FFFFFF;
  Opm.Font.Color := $FFFFFF;
  Upd.Font.Color := $000080;
  Hlp.Font.Color := $FFFFFF;
  Cc.Font.Color := $FFFFFF;
  Prc.font.Style := [];
  Prv.font.Style := [];
  Opm.font.Style := [];
  Upd.font.Style := [fsBold];
  Hlp.font.Style := [];
  Cc.font.Style := [];
  Pages.PageIndex := 3;
  PrcIf := False;
  PrvIf := False;
  OpmIf := False;
  UpdIf := True;
  HlpIf := False;
  CcIf := False;
end
end;

procedure TMainForm.UpdButtonClick(Sender: TObject);
begin
If UpdIf = False then begin
  Prc.font.Color := $FFFFFF;
  Prv.Font.color := $FFFFFF;
  Opm.Font.Color := $FFFFFF;
  Upd.Font.Color := $000080;
  Hlp.Font.Color := $FFFFFF;
  Cc.Font.Color := $FFFFFF;
  Prc.font.Style := [];
  Prv.font.Style := [];
  Opm.font.Style := [];
  Upd.font.Style := [fsBold];
  Hlp.font.Style := [];
  Cc.font.Style := [];
  Pages.PageIndex := 3;
  PrcIf := False;
  PrvIf := False;
  OpmIf := False;
  UpdIf := True;
  HlpIf := False;
  CcIf := False;
end
end;

procedure TMainForm.HlpClick(Sender: TObject);
begin
If HlpIf = False then begin
  Prc.font.Color := $FFFFFF;
  Prv.Font.color := $FFFFFF;
  Opm.Font.Color := $FFFFFF;
  Upd.Font.Color := $FFFFFF;
  Hlp.Font.Color := $000080;
  Cc.Font.Color := $FFFFFF;
  Prc.font.Style := [];
  Prv.font.Style := [];
  Opm.font.Style := [];
  Upd.font.Style := [];
  Hlp.font.Style := [fsBold];
  Cc.font.Style := [];
  Pages.PageIndex := 4;
  PrcIf := False;
  PrvIf := False;
  OpmIf := False;
  UpdIf := False;
  HlpIf := True;
  CcIf := False;
end
end;

procedure TMainForm.HlpButtonClick(Sender: TObject);
begin
If HlpIf = False then begin
  Prc.font.Color := $FFFFFF;
  Prv.Font.color := $FFFFFF;
  Opm.Font.Color := $FFFFFF;
  Upd.Font.Color := $FFFFFF;
  Hlp.Font.Color := $000080;
  Cc.Font.Color := $FFFFFF;
  Prc.font.Style := [];
  Prv.font.Style := [];
  Opm.font.Style := [];
  Upd.font.Style := [];
  Hlp.font.Style := [fsBold];
  Cc.font.Style := [];
  Pages.PageIndex := 4;
  PrcIf := False;
  PrvIf := False;
  OpmIf := False;
  UpdIf := False;
  HlpIf := True;
  CcIf := False;
end
end;

procedure TMainForm.CcClick(Sender: TObject);
begin
If CcIf = False then begin
  Prc.font.Color := $FFFFFF;
  Prv.Font.color := $FFFFFF;
  Opm.Font.Color := $FFFFFF;
  Upd.Font.Color := $FFFFFF;
  Hlp.Font.Color := $FFFFFF;
  Cc.Font.Color := $000080;
  Prc.font.Style := [];
  Prv.font.Style := [];
  Opm.font.Style := [];
  Upd.font.Style := [];
  Hlp.font.Style := [];
  Cc.font.Style := [fsBold];
  Pages.PageIndex := 5;
  PrcIf := False;
  PrvIf := False;
  OpmIf := False;
  UpdIf := False;
  HlpIf := False;
  CcIf := True;
end
end;

procedure TMainForm.CcButtonClick(Sender: TObject);
begin
If CcIf = False Then begin
  Prc.font.Color := $FFFFFF;
  Prv.Font.color := $FFFFFF;
  Opm.Font.Color := $FFFFFF;
  Upd.Font.Color := $FFFFFF;
  Hlp.Font.Color := $FFFFFF;
  Cc.Font.Color := $000080;
  Prc.font.Style := [];
  Prv.font.Style := [];
  Opm.font.Style := [];
  Upd.font.Style := [];
  Hlp.font.Style := [];
  Cc.font.Style := [fsBold];
  Pages.PageIndex := 5;
  PrcIf := False;
  PrvIf := False;
  OpmIf := False;
  UpdIf := False;
  HlpIf := False;
  CcIf := True;
end
end;

procedure TMainForm.PrcMouseEnter(Sender: TObject);
begin
If PrcIf = False then begin
  Prc.font.Color := $000080;
end
end;

procedure TMainForm.PrcButtonMouseEnter(Sender: TObject);
begin
If PrcIf = False then begin
  Prc.font.Color := $000080;
end
end;

procedure TMainForm.PrcMouseLeave(Sender: TObject);
begin
If PrcIf = False then begin
  Prc.font.Color := $FFFFFF;
end
end;

procedure TMainForm.PrcButtonMouseLeave(Sender: TObject);
begin
If PrcIf = False then begin
  Prc.font.Color := $FFFFFF;
end
end;

procedure TMainForm.PrvMouseEnter(Sender: TObject);
begin
If PrvIf = False then begin
  Prv.font.Color := $000080;
end
end;

procedure TMainForm.PrvButtonMouseEnter(Sender: TObject);
begin
If PrvIf = False then begin
  Prv.font.Color := $000080;
end
end;

procedure TMainForm.PrvMouseLeave(Sender: TObject);
begin
If PrvIf = False then begin
  Prv.font.Color := $FFFFFF;
end
end;

procedure TMainForm.PrvButtonMouseLeave(Sender: TObject);
begin
If PrvIf = False then begin
  Prv.font.Color := $FFFFFF;
end
end;

procedure TMainForm.OpmMouseEnter(Sender: TObject);
begin
If OpmIf = False then begin
  Opm.font.Color := $000080;
end
end;

procedure TMainForm.OpmButtonMouseEnter(Sender: TObject);
begin
If OpmIf = False then begin
  Opm.font.Color := $000080;
end
end;

procedure TMainForm.OpmMouseLeave(Sender: TObject);
begin
If OpmIf = False then begin
  Opm.font.Color := $FFFFFF;
end
end;

procedure TMainForm.OpmButtonMouseLeave(Sender: TObject);
begin
If OpmIf = False then begin
  Opm.font.Color := $FFFFFF;
end
end;

procedure TMainForm.UpdMouseEnter(Sender: TObject);
begin
If UpdIf = False then begin
  Upd.font.Color := $000080;
end
end;

procedure TMainForm.UpdButtonMouseEnter(Sender: TObject);
begin
If UpdIf = False then begin
  Upd.font.Color := $000080;
end
end;

procedure TMainForm.UpdMouseLeave(Sender: TObject);
begin
If UpdIf = False then begin
  Upd.font.Color := $FFFFFF;
end
end;

procedure TMainForm.UpdButtonMouseLeave(Sender: TObject);
begin
If UpdIf = False then begin
  Upd.font.Color := $FFFFFF;
end
end;

procedure TMainForm.HlpMouseEnter(Sender: TObject);
begin
If HlpIf = False then begin
  Hlp.font.Color := $000080;
end
end;

procedure TMainForm.HlpButtonMouseEnter(Sender: TObject);
begin
If HlpIf = False then begin
  Hlp.font.Color := $000080;
end
end;

procedure TMainForm.HlpMouseLeave(Sender: TObject);
begin
If HlpIf = False then begin
  Hlp.font.Color := $FFFFFF;
end
end;

procedure TMainForm.HlpButtonMouseLeave(Sender: TObject);
begin
If HlpIf = False then begin
  Hlp.font.Color := $FFFFFF;
end
end;

procedure TMainForm.CcMouseEnter(Sender: TObject);
begin
If CcIf = False then begin
  Cc.font.Color := $000080;
end
end;

procedure TMainForm.CcButtonMouseEnter(Sender: TObject);
begin
If CcIf = False then begin
  Cc.font.Color := $000080;
end
end;

procedure TMainForm.CcMouseLeave(Sender: TObject);
begin
If CcIf = False then begin
  Cc.font.Color := $FFFFFF;
end
end;

procedure TMainForm.CcButtonMouseLeave(Sender: TObject);
begin
If CcIf = False then begin
  Cc.font.Color := $FFFFFF;
end
end;

function processExists(exeFileName: string): Boolean;
var 
  ContinueLoop: BOOL; 
  FSnapshotHandle: THandle; 
  FProcessEntry32: TProcessEntry32;
begin 
  FSnapshotHandle := CreateToolhelp32Snapshot(TH32CS_SNAPPROCESS, 0); 
  FProcessEntry32.dwSize := SizeOf(FProcessEntry32); 
  ContinueLoop := Process32First(FSnapshotHandle, FProcessEntry32); 
  Result := False;
  while Integer(ContinueLoop) <> 0 do 
  begin 
    if ((UpperCase(ExtractFileName(FProcessEntry32.szExeFile)) = 
      UpperCase(ExeFileName)) or (UpperCase(FProcessEntry32.szExeFile) = 
      UpperCase(ExeFileName))) then 
    begin 
      Result := True; 
    end; 
    ContinueLoop := Process32Next(FSnapshotHandle, FProcessEntry32); 
  end; 
  CloseHandle(FSnapshotHandle); 
end;
end.


